<?php
// show any kind or errors
error_reporting(E_ALL);
ini_set('display_errors', 1);

// include dsm facebook events class
include_once "libs/php/dsm_facebook_events.php";

// initialize class
$dsm_facebook_events = new DsmFacebookEvents();

// parameters
$fb_page_id = !empty($_GET['fb_page_id']) ? $_GET['fb_page_id'] : "221167777906963";
$date_selected = !empty($_GET['date_selected']) ? $_GET['date_selected'] : die("No date selected.");
$timezone = !empty($_GET['timezone']) ? $_GET['timezone'] : die("No timezone found.");

date_default_timezone_set($timezone);
$dsm_facebook_events->fb_page_id=$fb_page_id;

// read events on a date
$dsm_facebook_events->since_unix_timestamp = strtotime($date_selected . " 00:00:00");
$dsm_facebook_events->until_unix_timestamp = strtotime($date_selected . " 23:59:59");
$obj = $dsm_facebook_events->readEvents();

$event_count = count($obj['data']);

echo "<div style='width:100%;'>";

for($x=0; $x<$event_count; $x++){

	// set timezone
	date_default_timezone_set($obj['data'][$x]['timezone']);

		$start_date = date( 'l, F d, Y', strtotime($obj['data'][$x]['start_time']));

		// in my case, I had to subtract 9 hours to sync the time set in facebook
		$start_time = date('g:i a', strtotime($obj['data'][$x]['start_time']));

		$pic_big = isset($obj['data'][$x]['cover']['source'])
					? $obj['data'][$x]['cover']['source']
					: "https://graph.facebook.com/v3.0/{$fb_page_id}/picture/?type=large";
		$eid = isset($obj['data'][$x]['id']) ? $obj['data'][$x]['id'] : "";
		$name = isset($obj['data'][$x]['name']) ? $obj['data'][$x]['name'] : "";
		$description = isset($obj['data'][$x]['description'])
						? htmlspecialchars_decode(str_replace("\n", "<br>", $dsm_facebook_events->auto_link_text($obj['data'][$x]['description'])))
						: "Not available.";

		// count attending
		$attending_data=isset($obj['data'][$x]['attending']['data']) ? $obj['data'][$x]['attending']['data'] : "";
		$attending_count = empty($attending_data) ? 0 : count($attending_data);

		// place
		$place_name = isset($obj['data'][$x]['place']['name']) ? $obj['data'][$x]['place']['name'] : "";
		$city = isset($obj['data'][$x]['place']['location']['city']) ? $obj['data'][$x]['place']['location']['city'] : "";
		$country = isset($obj['data'][$x]['place']['location']['country']) ? $obj['data'][$x]['place']['location']['country'] : "";
		$zip = isset($obj['data'][$x]['place']['location']['zip']) ? $obj['data'][$x]['place']['location']['zip'] : "";

		$ticket_uri = isset($obj['data'][$x]['ticket_uri']) ? $obj['data'][$x]['ticket_uri'] : "";

		$host_id = isset($obj['data'][$x]['owner']['id']) ? $obj['data'][$x]['owner']['id'] : "";
		$host_name = isset($obj['data'][$x]['owner']['name']) ? $obj['data'][$x]['owner']['name'] : "";

		$location="";

		if($place_name && $city && $country && $zip){
			$location="{$place_name}, {$city}, {$country}, {$zip}";
		}else{
			$location="Location not set or event data is too old.";
		}

		$complete_event_add="{$location}";

		echo "<div class='row' style='padding:0; margin:0;'>";
			echo "<div class='col-md-12' style='padding:0; margin:0;'>";
				echo "<img src='{$pic_big}' style='width:100%;'/>";
			echo "</div>";
		echo "</div>";

		echo "<div class='container' style='width:100%; margin:1em 0;'>";
			echo "<div class='row'>";
				echo "<div class='col-md-12'>";
					echo "<i class='fa fa-sun-o'></i> <b>{$name}</b>";
				echo "</div>";
			echo "</div>";

			echo "<div class='row'>";
				echo "<div class='col-md-12'>";
					echo "<i class='fa fa-check-square'></i> ";
					echo "Hosted by <a href='https://fb.com/{$host_id}' target='_blank' target='_blank'>{$host_name}</a>";
				echo "</div>";
			echo "</div>";

			echo "<div class='row'>";
				echo "<div class='col-md-12'>";
					echo "<span class='glyphicon glyphicon-time'></span> {$start_date} at {$start_time}";
				echo "</div>";
			echo "</div>";

			echo "<div class='row'>";
				echo "<div class='col-md-12'>";
					echo "<span class='glyphicon glyphicon-map-marker'></span> {$complete_event_add}";
				echo "</div>";
			echo "</div>";

			$event_lati = !empty($obj['data'][$x]['place']['location']['latitude'])
							? $obj['data'][$x]['place']['location']['latitude'] : "";
			$event_longi = !empty($obj['data'][$x]['place']['location']['longitude'])
							? $obj['data'][$x]['place']['location']['longitude'] : "";

			if($event_lati && $event_longi){
				echo "<div class='row'>";
					echo "<div class='col-md-12'>";
						echo "<a href='https://maps.google.com/maps?q={$event_lati},{$event_longi}' target='_blank'>";
							echo "<img src='https://maps.google.com/maps/api/staticmap?center={$event_lati},{$event_longi}&zoom=14&size=600x300&maptype=roadmap&sensor=false&&markers=size:mid%7Ccolor:red%7C{$complete_event_add}&key=AIzaSyCbdX5mqMLAezMMmt_MYaYa5e9BPDCy0cs' style='width:100%;' />";
						echo "</a>";
					echo "</div>";
				echo "</div>";
			}

			if($ticket_uri){
				echo "<div class='row'>";
					echo "<div class='col-md-12'>";
						echo "<i class='fa fa-ticket'></i> ";
						echo "<a href='{$ticket_uri}' target='_blank' target='_blank'>Find Tickets</a>";
					echo "</div>";
				echo "</div>";
			}

			echo "<div class='row'>";
				echo "<div class='col-md-12'>";
					echo "<i class='fa fa-sticky-note'></i> {$description}";
				echo "</div>";
			echo "</div>";


			echo "<div class='row'>";
				echo "<div class='col-md-12'>";
					echo "<i class='fa fa-external-link-square'></i> <a href='https://www.facebook.com/events/{$eid}/' target='_blank'>";
						echo "View on Facebook";
					echo "</a>";
				echo "</div>";
			echo "</div>";
		echo "</div>";
}

echo "</div>";
?>
